## salt 3004.1+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =
XELATEX       = xelatex

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean check_sphinx-build html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf        to make Salt-all.pdf and splitted pdf using xelatex"
	@echo "  cheatsheet to create salt-cheatsheet.pdf"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	test -d 'locale' && find locale/ -name *.mo -exec rm {} \; || true

# User-friendly check for sphinx-build
check_sphinx-build:
	@which $(SPHINXBUILD) >/dev/null 2>&1 || (echo "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://www.sphinx-doc.org/en/master/)" >&2; false)

html: check_sphinx-build
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: check_sphinx-build
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: check_sphinx-build
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: check_sphinx-build
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: check_sphinx-build
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: check_sphinx-build
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: check_sphinx-build
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: check_sphinx-build
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: check_sphinx-build
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: check_sphinx-build
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: check_sphinx-build
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: check_sphinx-build
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf: check_sphinx-build
	@if [ "$(XELATEX)"  = "xelatex" ] || [ "x$(XELATEX)" = "x" ]; then \
		echo "The '$(XELATEX)' command was not found."; \
	fi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	$(MAKE) -C $(BUILDDIR)/latex -i "PDFLATEX=latexmk" "LATEXMKOPTS=-xelatex -interaction=nonstopmode -f -quiet"
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

cheatsheet:
	@echo "Running cheatsheet/salt.tex file through xelatex..."
	cd cheatsheet &&  xelatex salt.tex && cp salt.pdf ../salt-cheatsheet.pdf
	@echo "./salt-cheatsheet.pdf created."

text: check_sphinx-build
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: check_sphinx-build
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: check_sphinx-build
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: check_sphinx-build
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

changes: check_sphinx-build
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

spelling: check_sphinx-build
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

linkcheck: check_sphinx-build
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: check_sphinx-build
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: check_sphinx-build
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: check_sphinx-build
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
salt (3004.1+dfsg-2) unstable; urgency=medium

  * Replace HgPillarTestCase patch with upstream commit
  * Drop skipping tests that do not fail any more
  * Update test_aptpkg.py patches to also fix test_expand_repo_def

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2022 14:39:12 +0200

salt (3004.1+dfsg-1) unstable; urgency=medium

  * New upstream security/bugfix release. (Closes: #1008945)
    - Sign authentication replies to prevent MiTM (CVE-2022-22935)
    - Prevent job and fileserver replays (CVE-2022-22936)
    - Sign pillar data to prevent MiTM attacks. (CVE-2202-22934)
    - Fixed targeting bug, especially visible when using syndic and user auth.
      (CVE-2022-22941) (#60413)
    - Fix denial of service in junos ifconfig output parsing.
  * d/watch: Drop number from repack suffix
  * Refresh patches
  * Mark test_list_available_packages requiring network
  * Rely on pytest-skip-markers 1.1.0-3 that supports NO_INTERNET
  * Don't rely on importlib.metadata, it's still not ready for our usage
    (Closes: #1008896)
  * test_aptpkg.py: Fix UnboundLocalError: local variable 'test_repo'
    (Closes: #1006036)
  * Update my email address to @debian.org

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2022 03:43:12 +0200

salt (3004+dfsg1-10) unstable; urgency=medium

  * test_aptpkg: Skip tests if /etc/apt/sources.list is missing

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 16 Feb 2022 10:46:42 +0100

salt (3004+dfsg1-9) unstable; urgency=medium

  * autopkgtest: Drop creating /tmp/salt-tests-tmpdir
  * Run 50 non-slow integration tests
  * Run 150 functional tests as well

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 14 Feb 2022 19:36:43 +0100

salt (3004+dfsg1-8) unstable; urgency=medium

  * Mock ip_addrs() in utils/minions.py unit test (Closes: #1005053)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 07 Feb 2022 11:51:52 +0100

salt (3004+dfsg1-7) unstable; urgency=medium

  [ Lukas Märdian ]
  * Cherry-pick upstream commit (78525c9) to fix test failure on Python 3.10,
    using new 'collections.abc.Mapping' module

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 02 Feb 2022 12:41:06 +0100

salt (3004+dfsg1-6) unstable; urgency=medium

  * linux_sysctl.present: Fix replacing spaces by tabs (PR #61452)
  * Update patches to latest version pushed upstream

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 13 Jan 2022 22:58:10 +0100

salt (3004+dfsg1-5) unstable; urgency=medium

  * Fix test cases with PermissionError on /var/cache and forward it upstream
  * Update patches to latest version pushed upstream
  * Update lintian override for script-not-executable
  * Update year in debian/copyright

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 12 Jan 2022 17:14:14 +0100

salt (3004+dfsg1-4) unstable; urgency=medium

  * Make intersphinx_mapping patch upstreamable and forward it upstream
  * Drop support unittest.mock patch and use python3-mock
  * Fix black and isort issues in patches

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 17 Nov 2021 16:18:06 +0100

salt (3004+dfsg1-3) unstable; urgency=medium

  * Wrap long lines in Python code and documentation
  * Do not require contextvars for Python >= 3.7 (Closes: #999590)
  * Remove faulty dot in network interfaces template to fix network.managed
    state with bridge interfaces to break networking (Closes: #998655)
  * salt-doc: Replace duplicate image by symlinks

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 16 Nov 2021 18:46:14 +0100

salt (3004+dfsg1-2) unstable; urgency=medium

  * Fix test_ssh_kwargs to not access /etc/salt/pki
  * Depend on openssh-client for SSH test cases
  * Restore patch to replace os.getlogin by getpass.getuser
    (it was only merged upstream after the release of version 3004)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 03 Nov 2021 14:25:15 +0100

salt (3004+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Drop 6 patches that were backported, accepted upstream, or unneeded
  * Refresh remaining patches
  * Require python3-saltfactories >= 0.907
  * Switch to pytest for running unit tests
  * Add new build dependencies for test cases: file, python3-apt,
    python3-passlib, python3-six
  * Mark test_buildout_bootstrap with pytest
  * Create /tmp/salt-tests-tmpdir before running tests
  * Mark tests that access /var/cache with skip_if_not_root
  * Skip failing test_salt_ext_six_import_override
  * Depend on iproute2 for salt.utils.network.linux_interfaces
  * Correct sfdisk recommendation to fdisk (Closes: #998077)
  * Drop removed six.py from copyright
  * Fix test cases with PermissionError on /var/cache/salt
  * Fix misspelled import of M2Crypto in test_crypt.py
  * Run only pytests with autopkgtest (otherwise it fails at the end)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 02 Nov 2021 18:22:04 +0100

salt (3002.7+dfsg1-1) unstable; urgency=high

  * New upstream CVE security fix release fixing CVE-2021-21996 and
    CVE-2021-22004 (Closes: #994016)
  * Drop Fix-CVE-2021-31607-in-snapper-module.patch (applied upstream)
  * Update homepage URL to saltproject.io
  * Fix doc building with sphinx 4.2.0
  * Depend on bind9-dnsutils for NetworkTestCase.test_dig
  * Bump Standards-Version to 4.6.0
  * Update lintian overrides for lintian 2.108.0
  * Backport schedule.job_status from version 3003
  * templates: move the globals up to the Environment (Jinja2 3.0.0)
    (upstream #60811, closes: #996271)
  * Override lintan error python-traceback-in-manpage for salt man page
  * Depend on python3-m2crypto as alternative to python3-pycryptodome

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 13 Oct 2021 21:01:21 +0200

=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Debian Salt Team <pkg-salt-team@alioth-lists.debian.net>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           Benjamin Drung <bdrung@debian.org>,
           Ondřej Nový <onovy@debian.org>
Build-Depends: bash-completion,
               bind9-dnsutils | dnsutils,
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.16.2),
               file,
               iproute2,
               libjs-bootstrap,
               libjs-modernizr,
               openssh-client,
               python3,
               python3-apt,
               python3-attr (>= 19.1),
               python3-augeas,
               python3-boto,
               python3-boto3,
               python3-cheetah,
               python3-cherrypy3,
               python3-consul,
               python3-croniter,
               python3-dateutil,
               python3-distro,
               python3-dnspython,
               python3-docker,
               python3-elasticsearch,
               python3-etcd,
               python3-genshi,
               python3-git,
               python3-hglib,
               python3-isodate,
               python3-jinja2,
               python3-jsonschema,
               python3-junos-eznc,
               python3-keyring,
               python3-kubernetes,
               python3-ldap,
               python3-libcloud (>= 0.14.1),
               python3-m2crypto | python3-pycryptodome | python3-crypto (>= 2.6),
               python3-mako,
               python3-mock,
               python3-msgpack,
               python3-mysqldb,
               python3-openssl,
               python3-passlib,
               python3-pip,
               python3-psutil,
               python3-pygit2,
               python3-pyinotify,
               python3-pyroute2,
               python3-pytest (>= 6),
               python3-pytest-helpers-namespace (>= 2019.1.8),
               python3-pytest-skip-markers (>= 1.1.0-3~),
               python3-pytest-subtests,
               python3-pytest-tempdir (>= 2019.10.12),
               python3-pytoml,
               python3-pyvmomi,
               python3-requests (>= 1.0.0),
               python3-saltfactories (>= 0.907.0-4~),
               python3-setuptools,
               python3-six,
               python3-twilio,
               python3-yaml,
               python3-zmq (>= 13.1.0),
               sphinx-common,
               virtualenv,
               zip
Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
Standards-Version: 4.6.0
Homepage: https://saltproject.io/
Vcs-Browser: https://salsa.debian.org/salt-team/salt
Vcs-Git: https://salsa.debian.org/salt-team/salt.git
Rules-Requires-Root: binary-targets

Package: salt-common
Architecture: all
Depends: iproute2,
         python3-apt,
         python3-dateutil,
         python3-distro,
         python3-jinja2,
         python3-msgpack,
         python3-pkg-resources,
         python3-psutil,
         python3-requests (>= 1.0.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lsb-release, python3-croniter
Suggests: python3-mako, salt-doc (= ${source:Version})
Breaks: python3-mako (<< 0.7.0),
        salt-formula-ceilometer (<= 2016.12.1-1),
        salt-formula-cinder (<= 2016.12.1-1),
        salt-formula-glance (<= 2016.12.1-1),
        salt-formula-keystone (<= 2016.12.1-1),
        salt-formula-kubernetes (<= 2016.12.1-1)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         lsb-base (>= 3.0-6),
         python3-m2crypto | python3-pycryptodome | python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygit2 | python3-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: dctrl-tools,
         lsb-base (>= 3.0-6),
         python3-m2crypto | python3-pycryptodome | python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: debconf-utils, dmidecode, e2fsprogs, fdisk
Suggests: python3-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.

Package: salt-doc
Architecture: all
Section: doc
Built-Using: ${sphinxdoc:Built-Using}
Depends: fonts-open-sans,
         libjs-bootstrap,
         libjs-modernizr,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: salt-common (<< 2016.11.5)
Replaces: salt-common (<< 2016.11.5)
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

Package: salt-cloud
Architecture: all
Depends: python3-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-botocore
Recommends: python3-netaddr
Description: public cloud VM management system
 Salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Salt Cloud is built-in to Salt to provision systems on cloud hosts or
 hypervisors and immediately bring them under management.

Package: salt-api
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

Package: salt-proxy
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

RELEASE = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/+dfsg[0-9]*$$//')

%:
	dh $@ --buildsystem pybuild --with bash-completion,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	rm -f doc/_themes/saltstack/static/css/*.min.css doc/_themes/saltstack/static/js/vendor/*.js
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js doc/_themes/saltstack/static/js/vendor/bootstrap.min.js
	ln -s /usr/share/javascript/modernizr/modernizr.min.js doc/_themes/saltstack/static/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	HTML_THEME=saltstack LATEST_RELEASE=$(RELEASE) make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build SPHINXOPTS=-T
	HTML_THEME=saltstack LATEST_RELEASE=$(RELEASE) make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build SPHINXOPTS=-T
	# Replace duplicate image by symlinks
	for image in doc/_build/html/_images/*.png; do ln -sf ../_images/$${image##*/} doc/_build/html/_static/$${image##*/}; done
endif

override_dh_auto_install:
	# Work around missing global options support: https://bugs.debian.org/890906
	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --install-layout deb --root $(CURDIR)/debian/tmp

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p /tmp/salt-tests-tmpdir # Workaround for https://github.com/saltstack/salt/issues/61134
	LC_ALL=C.UTF-8 NO_INTERNET=1 python3 -m pytest -ra tests/unit tests/pytests/functional tests/pytests/integration tests/pytests/unit
endif

override_dh_install:
	dh_install -X/usr/share/man/man

override_dh_compress:
	dh_compress -X.ico

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/salt-common/usr/lib/python3/dist-packages/salt/templates/git/ssh-id-wrapper.bat
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

override_dh_missing:
	dh_missing -X/usr/share/man/man --fail-missing

=== debian/tests/control ===
Test-Command: cp -r conf scripts tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; LC_ALL=C.UTF-8 NO_INTERNET=1 python3 -m pytest -ra tests/pytests/functional tests/pytests/integration tests/pytests/unit
Depends: bind9-dnsutils | dnsutils,
         file,
         openssh-client,
         python3-attr (>= 19.1),
         python3-augeas,
         python3-boto,
         python3-boto3,
         python3-cheetah,
         python3-cherrypy3,
         python3-consul,
         python3-croniter,
         python3-dnspython,
         python3-docker,
         python3-elasticsearch,
         python3-etcd,
         python3-genshi,
         python3-git,
         python3-hglib,
         python3-isodate,
         python3-jsonschema,
         python3-junos-eznc,
         python3-keyring,
         python3-kubernetes,
         python3-ldap,
         python3-libcloud (>= 0.14.1),
         python3-m2crypto | python3-pycryptodome | python3-crypto (>= 2.6),
         python3-mako,
         python3-mock,
         python3-mysqldb,
         python3-openssl,
         python3-passlib,
         python3-pip,
         python3-pygit2,
         python3-pyinotify,
         python3-pyroute2,
         python3-pytest (>= 6),
         python3-pytest-helpers-namespace (>= 2019.1.8),
         python3-pytest-skip-markers (>= 1.1.0-3~),
         python3-pytest-subtests,
         python3-pytest-tempdir (>= 2019.10.12),
         python3-pytoml,
         python3-pyvmomi,
         python3-saltfactories (>= 0.907.0-4~),
         python3-six,
         python3-twilio,
         python3-zmq (>= 13.1.0),
         salt-common,
         virtualenv,
         zip
Restrictions: allow-stderr
Features: test-name=unittest

=== debian/watch ===
version=4
opts=\
compression=xz,\
dversionmangle=s/\+dfsg\d*$//,\
repack,\
repacksuffix=+dfsg,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://pypi.debian.net/salt/salt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## salt 3004.2+ds

=== debian/changelog ===
salt (3004.2+ds-1) stable; urgency=medium

  * Build of Salt 3004.2 for Python 3

 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Mon, 16 May 2022 13:14:48 +0000

=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           David Murphy <dmurphy@saltstack.com>
Build-Depends: bash-completion,
               debhelper-compat (= 10),
               dh-exec,
               dh-python,
               python3 | python3-all | python3-dev | python3-all-dev,
               python3-debian,
               python3-setuptools
Standards-Version: 4.5.0
Homepage: https://saltproject.io/
Vcs-Browser: https://github.com/saltstack/salt.git
Vcs-Git: git://github.com/saltstack/salt.git


Package: salt-common
Architecture: all
Depends: python3-apt,
         python3-dateutil,
         python3-jinja2,
         python3-msgpack (>= 0.4),
         python3-pkg-resources,
         python3-requests,
         python3-yaml,
         python3-systemd,
         python3-psutil,
         python3-pycryptodome,
         python3-gnupg,
         python3-zmq (>= 17.0.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: ifupdown, python3-pycurl, python3-twisted
Recommends: lsb-release,
            python3-contextvars,
            python3-croniter
Breaks: python3-mako (<< 0.7.0)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.


Package: salt-master
Architecture: all
Depends: salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.


Package: salt-minion
Architecture: all
Depends: bsdmainutils,
         dctrl-tools,
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: debconf-utils, dmidecode, net-tools
Suggests: python3-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.


Package: salt-syndic
Architecture: all
Depends: salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.


Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.


Package: salt-cloud
Architecture: all
Depends: python3-libcloud,
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-botocore
Recommends: python3-netaddr
Description: public cloud VM management system
 provision virtual machines on various public clouds via a cleanly
 controlled profile and mapping system.


Package: salt-api
Architecture: all
Depends: salt-master,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

## salt 3005.1+ds

=== debian/changelog ===
salt (3005.1+ds-1) stable; urgency=medium

  * Build of Salt 3005.1 for Python 3

 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Thu, 29 Sep 2022 15:10:33 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3 | python3-all | python3-dev | python3-all-dev,
                python3-debian,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Homepage: https://saltproject.io/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
@@ -30,15 +30,15 @@
          python3-yaml,
          python3-systemd,
          python3-psutil,
+         python3-distro,
          python3-pycryptodome,
-         python3-gnupg,
          python3-zmq (>= 17.0.0),
          ${misc:Depends},
          ${python3:Depends}
-Suggests: ifupdown, python3-pycurl, python3-twisted
 Recommends: lsb-release,
             python3-contextvars,
             python3-croniter
+Suggests: python3-pycurl, python3-twisted
 Breaks: python3-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -94,7 +94,7 @@
          salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: debconf-utils, dmidecode, net-tools
+Recommends: debconf-utils, dmidecode
 Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to

## salt 3006.0+ds

=== debian/changelog ===
salt (3006.0+ds-1+240.1) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 04 Jul 2025 09:31:33 +0000

salt (3006.0+ds-1) stable; urgency=medium

  * Build of Salt 3006.0 for Python 3

 -- SUSE Salt Maintainers <salt-maintainers@suse.de>  Thr, 20 Apr 2023 13:22:41 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3 | python3-all | python3-dev | python3-all-dev,
                python3-debian,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://saltproject.io/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
@@ -23,6 +23,7 @@
 Architecture: all
 Depends: python3-apt,
          python3-dateutil,
+	 python3-looseversion,
          python3-jinja2,
          python3-msgpack (>= 0.4),
          python3-pkg-resources,
@@ -30,15 +31,15 @@
          python3-yaml,
          python3-systemd,
          python3-psutil,
-         python3-distro,
          python3-pycryptodome,
+         python3-gnupg,
          python3-zmq (>= 17.0.0),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: ifupdown, python3-pycurl, python3-twisted
 Recommends: lsb-release,
             python3-contextvars,
             python3-croniter
-Suggests: python3-pycurl, python3-twisted
 Breaks: python3-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -94,7 +95,7 @@
          salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: debconf-utils, dmidecode
+Recommends: debconf-utils, dmidecode, net-tools
 Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -197,5 +198,3 @@
  The Salt API system is used to expose the fundamental aspects of Salt control
  to external sources. salt-api acts as the bridge between Salt itself and
  REST, Websockets, etc.
-
-

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS=-v
export PYBUILD='salt'
export DEB_BUILD_OPTIONS='nocheck'

include /usr/share/python3/python.mk

%:
	dh $@ --with python3,bash-completion --with=systemd --buildsystem=pybuild

## Note these want a prefix to operate, i.e. python3-foo and python-foo instead of foo
## override_dh_python2: dh_python2 --shebang=/usr/bin/python2
## override_dh_python3: dh_python3 --shebang=/usr/bin/python3

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
##	make -C doc html
##	make -C doc man
##
## override_dh_auto_clean:
##	make -C doc clean
##	dh_auto_clean
##
## override_dh_fixperms:
## 	dh_fixperms
## 	chmod 2750 debian/salt-common/var/log/salt
## 	chown root:adm debian/salt-common/var/log/salt

## salt 3006.1

=== debian/changelog ===
salt (3006.1-2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 03 Jul 2023 13:48:26 +0200

salt (3006.1-2) unstable; urgency=medium

  * Build for fc38 too
  * Commit unmodified Debian's salt 3004.1+dfsg-2
  * Update Debian packaging to 3006.1-1
  * debian: include backports from Fedora package
  * debian: drop non-standard user patch
  * Backport more patches to fix regression

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Jul 2023 13:48:26 +0200

salt (3006.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * update to 3006.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 29 Jun 2023 01:34:34 +0200

## salt 3006.2

=== debian/changelog ===
salt (3006.2-2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 23 Aug 2023 13:03:18 +0200

salt (3006.2-2) unstable; urgency=medium

  * version 3006.2-2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Aug 2023 13:03:18 +0200
